Integrate
curl --request POST \
--url https://api.orthogonal.com/v1/integrate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api": "<string>",
"path": "<string>",
"format": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({api: '<string>', path: '<string>', format: '<string>'})
};
fetch('https://api.orthogonal.com/v1/integrate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.orthogonal.com/v1/integrate"
payload = {
"api": "<string>",
"path": "<string>",
"format": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Integrate API
Integrate
Get code snippets for an endpoint
POST
/
v1
/
integrate
Integrate
curl --request POST \
--url https://api.orthogonal.com/v1/integrate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api": "<string>",
"path": "<string>",
"format": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({api: '<string>', path: '<string>', format: '<string>'})
};
fetch('https://api.orthogonal.com/v1/integrate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.orthogonal.com/v1/integrate"
payload = {
"api": "<string>",
"path": "<string>",
"format": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Get ready-to-use code snippets for integrating an API endpoint into your application.
Request
API slug (e.g., “olostep”, “hunter”)
Endpoint path (e.g., “/v1/scrapes”)
Code format to return:
| Value | Description |
|---|---|
orth-sdk | Orthogonal TypeScript SDK |
run-api | Direct HTTP to /v1/run |
curl | cURL command |
x402-fetch | x402 payment (JavaScript) |
x402-python | x402 payment (Python) |
all | All available formats |
Response
{
"success": true,
"api": {
"name": "Olostep",
"slug": "olostep"
},
"endpoint": {
"path": "/v1/scrapes",
"method": "POST",
"price": "$0.005"
},
"format": "all",
"snippets": {
"orth-sdk": "import Orthogonal from \"@orth/sdk\";\n\nconst orthogonal = new Orthogonal(...);\nconst result = await orthogonal.run({...});",
"run-api": "curl -X POST 'https://api.orthogonal.com/v1/run' ...",
"curl": "curl -X POST 'https://api.orthogonal.com/v1/run' ...",
"x402-fetch": "import { wrapFetchWithPayment } from \"x402-fetch\"; ...",
"x402-python": "from x402.clients.requests import x402_http_adapter ..."
},
"setup": {
"sdk": "npm install @orth/sdk && export ORTHOGONAL_API_KEY=orth_live_...",
"x402": "npm install x402-fetch viem && export PRIVATE_KEY=0x..."
}
}
Example
curl -X POST 'https://api.orthogonal.com/v1/integrate' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"api": "hunter",
"path": "/domain-search",
"format": "all"
}'
const response = await fetch('https://api.orthogonal.com/v1/integrate', {
method: 'POST',
headers: {
'Authorization': `Bearer ${process.env.ORTHOGONAL_API_KEY}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
api: 'hunter',
path: '/domain-search',
format: 'curl'
})
});
const { snippets } = await response.json();
console.log(snippets.curl);
import requests
import os
response = requests.post(
'https://api.orthogonal.com/v1/integrate',
headers={'Authorization': f'Bearer {os.environ["ORTHOGONAL_API_KEY"]}'},
json={'api': 'hunter', 'path': '/domain-search', 'format': 'all'}
)
snippets = response.json()['snippets']
⌘I
